Bug 980902 - Nova doc: keystone auth is not set up
Nova doc: keystone auth is not set up
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: async
: 3.0
Assigned To: Stephen Gordon
ecs-bugs
: Documentation, Triaged, ZStream
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-07-03 09:30 EDT by Attila Darazs
Modified: 2014-01-05 23:25 EST (History)
2 users (show)

See Also:
Fixed In Version: Red_Hat_OpenStack-Installation_and_Configuration_Guide-3-web-en-US-3-30.el6eng
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 15807, Installation and Configuration Guide-3-1 Build Date: 02-07-2013 17:01:56 Topic ID: 16007-459798 [Latest]
Last Closed: 2014-01-05 23:25:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Darazs 2013-07-03 09:30:01 EDT
Title: Setting the Database Connection String

Describe the issue:
In this chapter: "10.3.4. Configuring the Compute Service", we should have a description how to setup nova's keystone auth (as we do with every other module).

This way simple commands like "nova image-list" fails.

Suggestions for improvement:
Add this line to /etc/nova/nova.conf
auth_strategy=keystone

add auth info to /etc/nova/api-paste.ini:
in the [filter:authtoken] section:
auth_version = v2.0
auth_port=35357
admin_user=compute
admin_password=PASSWORD
auth_protocol=http
admin_tenant_name=services
auth_host=IP

where IP is the keystone api's IP.
Comment 2 Stephen Gordon 2013-07-17 11:11:24 EDT
(In reply to Attila Darazs from comment #0)
> Title: Setting the Database Connection String
> 
> Describe the issue:
> In this chapter: "10.3.4. Configuring the Compute Service", we should have a
> description how to setup nova's keystone auth (as we do with every other
> module).
> 
> This way simple commands like "nova image-list" fails.
> 
> Suggestions for improvement:
> Add this line to /etc/nova/nova.conf
> auth_strategy=keystone
> 
> add auth info to /etc/nova/api-paste.ini:
> in the [filter:authtoken] section:
> auth_version = v2.0
> auth_port=35357
> admin_user=compute
> admin_password=PASSWORD
> auth_protocol=http
> admin_tenant_name=services
> auth_host=IP
> 
> where IP is the keystone api's IP.

Added a section covering configuration of:

* admin_user=compute
* admin_password=PASSWORD
* admin_tenant_name
* auth_host

Left out:

* auth_version
* auth_port
* auth_protocol

As defaults are expected to be OK.

"Configuring Authentication" - ID: 21112 [rev: 478982]
"Configuring Authentication" - ID: 21112 [rev: 478983]

Note You need to log in before you can comment on or make changes to this bug.